unit ComSecuritySetup;

{
This unit is used by both the AppServer and the client.
}

interface

{
  The following should reduce configuration problems.
  By ensuring that the client has the same CoInitialiseSecurity settings as the server we will ensure that
  they can talk to each other regardless of how dcomconfig is configured.

}
procedure InitDCOMSecurity;

implementation
uses
  ActiveX,
  ComObj;

procedure InitDCOMSecurity;
begin
  OleCheck(CoInitialize(nil));
  // This call reduces the
  OleCheck(CoInitializeSecurity(nil, -1, nil, nil, 2 {Connect}, 1 {Identify}, nil, 0{EOAC_NONE}, nil));
end;


end.
